WMND(1)

NAME
WMND - WindowMaker network device monitor

SYNOPSIS
wmnd { options }

DESCRIPTION
WMND is a WindowMaker dock application that shows a graph of the network traffic of the past few minutes, current activity and current and overall send and receive rates. Additionally it can launch any program in response to mouse clicks.

OPTIONS

-i interface
    Select the interface to start with.

-I interface
    Interface/s to monitor. Defaults to all but lo and irda. Under linux (using the linux_proc driver) you can specify multiple interfaces separated by commas to force offline ones and combine them into a single instance.

-D driver
    Specify a driver to use. Defaults to auto-probe.

-l  Start using long device names.

-m  Start with maximal values hidden.

-t  Start without displaying connection time of ppp links.

-M  Use the maximal values of the entire history.

-w mode
    Select display mode to start with. Use wmnd -h for a list of available display modes. Right clicks on the graph cycle through all available modes.

-r rate
    refresh rate in microseconds

-s scroll
    scroll rate in tenths of seconds

-S steps
    Number of scroll steps to wait before updating the speed rate indicator.

-b  Scale the values of the maximum and current rate by factors of base 2 instead of the default 10-based scaling. (1K equals 1024 in binary mode, but 1000 in decimal mode.)

-c color
    tx color

-C color
    rx color

-L color
    middle line color

-d display
    Draw onto X11 display display

-f config
    Read config instead of ~/.wmndrc

-F  Don't parse ~/.wmndrc

-h  Show summary of options.

-v  Show version of WMND.

-q  Be less verbose (display only errors).

-Q  Show informational messages.

-o float
    Smoothing factor (a float from 0 to 1).

-a bytes
    Use a fixed scale for the bytes modes specified in bytes per second. By default uses an automatic scale.

-n name
    Change the WMND class/title name (defaults to "wmnd").

USAGE

  Active Interface
You can cycle in realtime through all available active interfaces by simply left-clicking on the interface name gadget on the upperleft corner of WMND or use the mouse wheel.

The 'lo' interface is an exception, 'lo' only works when invoked from the commandline (wmnd -I lo), lo was mainly built in for testing purposes.

  Device Name
By default, WMND show device name in short term of four characters, for example, the ippp0 will be displayed as ipp0. You can toggle the device name between short and long by right-click on it.

  Graphic Mode
Left-click on the main graphic area to cycle the graphic mode.

  Max Meter
Left-click to toggle the history max or screen max, default is screen max when WMND is startup. Right-click to hide or show. Middle-click to zoom the statistics in a separated trend window. You can cycle the active interface and middle-click again to monitor multiple interfaces concurrently.

  Byte/Packet Mode
Left-click on the letter gadgeted on the right-top corner can switch between the Byte or Packet counter mode. "B" for byte, "p" for packet. The current mode affects the external trend window too.

  User Script
Click on the bottom rate meter can invoke the user command defined in resource file .wmndrc.

  Dragging WMND
Be sure to drag WMND on it's outer edges, it's a bit picky due to the large gfx pixmap it keeps. You can also use a keyboard and mouse shortcut (perhaps ALT+left-click) in your window manager to drag it around.

  Drivers

solaris_fpppd
    Solaris/Linux ppp streams driver. Gathers device data from /dev/ppp. Uses code from the Solaris/Linux pppd server and it should work wherever Solaris/Linux pppd works.

linux_proc
    Reads data from the linux proc(5) virtual filesystem.

freebsd_sysctl
    Uses the MIB to gather device statistics under FreeBSD (offline devices handling is buggy, support needed!)

netbsd_ioctl
    Read statistics through the NetBSD ioctl call.

solaris_kstat
    Gather all devices of class net from the kstat library.

irix_pcp
    Reads metrics from the IRIX Performance Co-Pilot daemon. Interface format: [host@]interface

generic_snmp
    Query an IF-MIB capable snmp server for gathering interface statistics. By default generic_snmp connects to localhost and uses the public community. You can change the community/host/interface to monitor by using the -I flag: [community@]host[:interface] You must specify an interface number, not an interface name. If the interface number is 0, or there's no interface specification, WMND will display all available interfaces. By default the community name is "public". Beware that by specifying an snmp v1 community name on a command line can be dangerous on an multiuser platform. Please read the README file on the distribution for more details.

testing_dummy
    This is the "last resort" driver, it shows a null device useful only to make WMND don't exit when all other drivers failed. Can be enhanced to display something at compile time.

FILES
~/.wmndrc    User configuration.

The format of this file is described in the example file "wmndrc" coming with the distribution (see /usr/doc/wmnd-0.4.17/wmndrc).

SIGNALS

SIGTERM SIGINT
    Clean WMND shutdown.

BUGS
Report bugs and suggestion to the current WMND maintainer: wave++ <wavexx@users.sf.net>. More information (including usage instructions) can be found into the README file found into the distribution. These information should be integrated here too.

SEE ALSO
X(3x), wmaker(1x), proc(5), trend(1)

AUTHOR
This manual page was written by Arthur Korn <arthur@korn.ch>. The original WMND authour is Reed Lai, but it is currently maintained by Yuri D'Elia <wavexx@users.sf.net>.